Dim oDoc As DrawingDocument
oDoc = ThisApplication.ActiveDocument
Dim oSheet As Sheet
oSheet = oDoc.ActiveSheet
Dim drawingSketch As SketchedSymbol
drawingSketch = ThisApplication.CommandManager.Pick(SelectionFilterEnum.kDrawingSketchedSymbolFilter, "Select a SketchedSymbol.")
Dim oGI As GeometryIntent
oGI = oSheet.CreateGeometryIntent(drawingSketch.Definition.Sketch.SketchArcs.Item(1))
Dim oCol As ObjectCollection
oCol = ThisApplication.TransientObjects.CreateObjectCollection
oCol.Add(ThisApplication.TransientGeometry.CreatePoint2d(0, 0))
oCol.Add(oGI)
Dim oText As SurfaceTextureSymbol
oText = oSheet.SurfaceTextureSymbols.Add(oCol, kBasicSurfaceType, True, , , "Roughness")